<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>default | frozen-island-client-core</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">frozen-island-client-core</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="../modules/_scene_onlinemenu_.html">&quot;scene/OnlineMenu&quot;</a>
				</li>
				<li>
					<a href="_scene_onlinemenu_.default.html">default</a>
				</li>
			</ul>
			<h1>Class default</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<a href="_scene_baseonline_.default.html" class="tsd-signature-type">default</a>
						<ul class="tsd-hierarchy">
							<li>
								<span class="target">default</span>
								<ul class="tsd-hierarchy">
									<li>
										<a href="_scene_login_.default.html" class="tsd-signature-type">default</a>
									</li>
								</ul>
							</li>
						</ul>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section tsd-is-inherited">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite tsd-is-inherited"><a href="_scene_onlinemenu_.default.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-inherited">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="_scene_onlinemenu_.default.html#gameelement" class="tsd-kind-icon">game<wbr>Element</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="_scene_onlinemenu_.default.html#intervals" class="tsd-kind-icon">intervals</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="_scene_onlinemenu_.default.html#socket" class="tsd-kind-icon">socket</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="_scene_onlinemenu_.default.html#timeouts" class="tsd-kind-icon">timeouts</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><a href="_scene_onlinemenu_.default.html#type" class="tsd-kind-icon">type</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-overwrite tsd-is-protected"><a href="_scene_onlinemenu_.default.html#__type" class="tsd-kind-icon">__type</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="_scene_onlinemenu_.default.html#destroy" class="tsd-kind-icon">destroy</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="_scene_onlinemenu_.default.html#sceneelement" class="tsd-kind-icon">scene<wbr>Element</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scene_onlinemenu_.default.html#setup" class="tsd-kind-icon">setup</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-inherited">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite tsd-is-inherited">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">new default<span class="tsd-signature-symbol">(</span>gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span>, socket<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Socket</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_onlinemenu_.default.html" class="tsd-signature-type">default</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_scene_baseonline_.default.html">default</a>.<a href="_scene_baseonline_.default.html#constructor">constructor</a></p>
								<p>Overrides <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#constructor">constructor</a></p>
								<ul>
									<li>Defined in scene/BaseOnline.ts:4</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
								</li>
								<li>
									<h5>socket: <span class="tsd-signature-type">Socket</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_onlinemenu_.default.html" class="tsd-signature-type">default</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-inherited">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="gameelement" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> game<wbr>Element</h3>
					<div class="tsd-signature tsd-kind-icon">game<wbr>Element<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">HTMLDivElement</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#gameelement">gameElement</a></p>
						<ul>
							<li>Defined in scene/Base.ts:4</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="intervals" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> intervals</h3>
					<div class="tsd-signature tsd-kind-icon">intervals<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">&gt;</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#intervals">intervals</a></p>
						<ul>
							<li>Defined in scene/Base.ts:6</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="socket" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> socket</h3>
					<div class="tsd-signature tsd-kind-icon">socket<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Socket</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_scene_baseonline_.default.html">default</a>.<a href="_scene_baseonline_.default.html#socket">socket</a></p>
						<ul>
							<li>Defined in scene/BaseOnline.ts:4</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="timeouts" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> timeouts</h3>
					<div class="tsd-signature tsd-kind-icon">timeouts<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">&gt;</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#timeouts">timeouts</a></p>
						<ul>
							<li>Defined in scene/Base.ts:5</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited">
					<a name="type" class="tsd-anchor"></a>
					<h3>type</h3>
					<div class="tsd-signature tsd-kind-icon">type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">SceneType</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#type">type</a></p>
						<ul>
							<li>Defined in scene/Base.ts:3</li>
						</ul>
					</aside>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-overwrite tsd-is-protected">
					<a name="__type" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> __type</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-overwrite tsd-is-protected">
						<li class="tsd-signature tsd-kind-icon">__type<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">SceneType</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Overrides <a href="_scene_baseonline_.default.html">default</a>.<a href="_scene_baseonline_.default.html#__type">__type</a></p>
								<ul>
									<li>Defined in scene/OnlineMenu.ts:6</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">SceneType</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="destroy" class="tsd-anchor"></a>
					<h3>destroy</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">destroy<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#destroy">destroy</a></p>
								<ul>
									<li>Defined in scene/Base.ts:30</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="sceneelement" class="tsd-anchor"></a>
					<h3>scene<wbr>Element</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">scene<wbr>Element<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_scene_base_.default.html">default</a>.<a href="_scene_base_.default.html#sceneelement">sceneElement</a></p>
								<ul>
									<li>Defined in scene/Base.ts:19</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">HTMLDivElement</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="setup" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> setup</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">setup<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in scene/OnlineMenu.ts:9</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_clientserverinterface_.html">"client<wbr>Server<wbr>Interface"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_frozen_island_.html">"frozen-<wbr>island"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_roomconstructorinterface_.html">"room<wbr>Constructor<wbr>Interface"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_base_.html">"scene/<wbr>Base"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_baseonline_.html">"scene/<wbr>Base<wbr>Online"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_connecting_.html">"scene/<wbr>Connecting"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_error_.html">"scene/<wbr>Error"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_loading_.html">"scene/<wbr>Loading"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_login_.html">"scene/<wbr>Login"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_offlinemenu_.html">"scene/<wbr>Offline<wbr>Menu"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="../modules/_scene_onlinemenu_.html">"scene/<wbr>Online<wbr>Menu"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_room_.html">"scene/<wbr>Room"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_scenetypeguard_.html">"scene/<wbr>Scene<wbr>Type<wbr>Guard"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_scenetypes_.html">"scene/<wbr>Scene<wbr>Types"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class tsd-parent-kind-external-module">
						<a href="_scene_onlinemenu_.default.html" class="tsd-kind-icon">default</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite tsd-is-inherited">
								<a href="_scene_onlinemenu_.default.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="_scene_onlinemenu_.default.html#gameelement" class="tsd-kind-icon">game<wbr>Element</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="_scene_onlinemenu_.default.html#intervals" class="tsd-kind-icon">intervals</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="_scene_onlinemenu_.default.html#socket" class="tsd-kind-icon">socket</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="_scene_onlinemenu_.default.html#timeouts" class="tsd-kind-icon">timeouts</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited">
								<a href="_scene_onlinemenu_.default.html#type" class="tsd-kind-icon">type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-overwrite tsd-is-protected">
								<a href="_scene_onlinemenu_.default.html#__type" class="tsd-kind-icon">__type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="_scene_onlinemenu_.default.html#destroy" class="tsd-kind-icon">destroy</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="_scene_onlinemenu_.default.html#sceneelement" class="tsd-kind-icon">scene<wbr>Element</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scene_onlinemenu_.default.html#setup" class="tsd-kind-icon">setup</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
				<li class="tsd-kind-type-alias tsd-has-type-parameter"><span class="tsd-kind-icon">Type alias with type parameter</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>